Last Comment Bug 1027318 - Download button should offer a Firefox Refresh option before download of the same Firefox version
: Download button should offer a Firefox Refresh option before download of the ...
Status: RESOLVED FIXED
[kb=1415033] [fxgrowth]
:
Product: www.mozilla.org
Classification: Other
Component: Information Architecture & UX (show other bugs)
: Production
: All All
-- normal
: ---
Assigned To: Jon Petto [:jpetto]
:
:
Mentors:
Depends on: 1063698 1065525
Blocks: download-buttons reset-firefox
  Show dependency treegraph
 
Reported: 2014-06-18 14:29 PDT by Verdi [:verdi]
Modified: 2015-01-22 09:51 PST (History)
16 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Reset button contained in download button dialog (108.01 KB, image/jpeg)
2014-06-18 14:29 PDT, Verdi [:verdi]
no flags Details
Alternate version highlights reset in the help menu (148.21 KB, image/jpeg)
2014-06-18 14:31 PDT, Verdi [:verdi]
no flags Details
Conditional message on download page regarding restart (445.73 KB, image/png)
2014-06-18 22:27 PDT, Holly Habstritt Gaal [:Habber]
no flags Details
mozorg-w-reset-button.png (207.69 KB, image/png)
2014-09-02 14:18 PDT, Verdi [:verdi]
no flags Details
GitHub PR (44 bytes, text/x-github-pull-request)
2015-01-07 08:30 PST, Jon Petto [:jpetto]
no flags Details | Review | Splinter Review
refresh-mozilla.org.jpg (177.20 KB, image/jpeg)
2015-01-12 09:08 PST, Verdi [:verdi]
no flags Details
GitHub PR (44 bytes, text/x-github-pull-request)
2015-01-14 07:40 PST, Jon Petto [:jpetto]
no flags Details | Review | Splinter Review

Description User image Verdi [:verdi] 2014-06-18 14:29:48 PDT
Created attachment 8442401 [details]
Reset button contained in download button dialog

Problem: You determine that there is an issue with Firefox and in an attempt to fix it, you download and re-install the same version of Firefox that you already have on your computer. Re-installing Firefox doesn’t fix very many issues. In almost all cases it doesn’t seem to do anything at all. This is contrary to users’ expectations. The procedure that you actually want in this case is Firefox Reset.

Offering the reset option before downloading Firefox fits into the common repair procedure of re-installing problematic software and by offering it before the user re-downloads, it directly addresses the problem without the added time and bandwidth of downloading and installing.

We'd like the Firefox Download button to offer an option to reset Firefox when a user is about to download the same version of Firefox that they are already using (e.g. using Fx 30.0 to download Fx 30.0). 

More background: http://people.mozilla.org/~mverdi/mockups/reset/reset2014v2.pdf
Comment 1 User image Verdi [:verdi] 2014-06-18 14:31:19 PDT
Created attachment 8442402 [details]
Alternate version highlights reset in the help menu
Comment 2 User image Jennifer Bertsch [:jbertsch] 2014-06-18 14:38:24 PDT
Thanks for filing, Michael.

I'm going to ask Holly to consider this as an enhancement to the /new page and/or part of the download button testing she's working on.

Holly - I'll put time on the calendar to discuss.
Comment 3 User image Holly Habstritt Gaal [:Habber] 2014-06-18 22:08:31 PDT
Hi Michael, 
See the following bug which talks about allowing the web to know the status of a silent update so that we can provide information like this. 

https://bugzilla.mozilla.org/show_bug.cgi?id=998962
Comment 4 User image Holly Habstritt Gaal [:Habber] 2014-06-18 22:27:39 PDT
Created attachment 8442631 [details]
Conditional message on download page regarding restart

I like Michael's idea for attaching a message to the download button itself or altering the button area somehow to display this information. If the /new page has this information and is whitelisted we can, as a minimum, provide a conditional message saying the user can restart, as well as not display an unnecessary download button.
Comment 5 User image Verdi [:verdi] 2014-09-02 14:18:06 PDT
Created attachment 8483013 [details]
mozorg-w-reset-button.png

After running though a few iterations with the Firefox UX team, we thought a better solution would be to show a reset button instead of download button. There would still be a link to download for people who need it.
Comment 6 User image Mike Alexis [:malexis] 2014-09-29 13:10:11 PDT
cmore, wasn't sure if this was on the firefox growth team's radar.
Comment 7 User image Chris More [:cmore] 2014-09-30 13:41:21 PDT
(In reply to Mike Alexis [:malexis] from comment #6)
> cmore, wasn't sure if this was on the firefox growth team's radar.

Yes, mverdi is working on it. We are adding [fxgrowth] to the whiteboard on any bugs that we are working on for the growth team.
Comment 8 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2014-12-01 13:52:10 PST
Is the web-side of this feature being worked on for the Firefox 35 time-frame?
Comment 9 User image Verdi [:verdi] 2014-12-04 09:02:43 PST
(In reply to :Gavin Sharp [email: gavin@gavinsharp.com] from comment #8)
> Is the web-side of this feature being worked on for the Firefox 35
> time-frame?

Yes. Jon Petto, Alex Gibson and I talked about this yesterday and ironed out what needs to be done.
Comment 10 User image Jon Petto [:jpetto] 2014-12-11 08:50:31 PST
Do we have a link destination for the "How does refreshing Firefox work" link underneath the button?
Comment 11 User image Verdi [:verdi] 2014-12-11 08:58:45 PST
(In reply to Jon Petto [:jpetto] from comment #10)
> Do we have a link destination for the "How does refreshing Firefox work"
> link underneath the button?

https://support.mozilla.org/kb/reset-firefox-easily-fix-most-problems
Comment 12 User image Jon Petto [:jpetto] 2014-12-11 11:53:18 PST
To summarize what we discussed in PDX:

On /firefox/new/, we will use the UITour to check the user's point release and update channel. If the user's version matches the latest version and their update channel is release, we will show the refresh button.

Existing functionality will remain untouched on /firefox/new/. The page currently checks if the user is on the latest major version, and, if so, displays an up to date message and hides the download button.
Comment 13 User image Jon Petto [:jpetto] 2015-01-07 08:30:26 PST
Created attachment 8545283 [details] [review]
GitHub PR
Comment 14 User image Francesco Lodolo [:flod] 2015-01-12 03:17:06 PST
Can the strings in this bug be considered final?
Comment 15 User image Jon Petto [:jpetto] 2015-01-12 08:11:50 PST
Yes, I believe the three new strings present in the PR are final:

"Refresh Firefox"
"Fix problems and restore performance"
"Learn more"
Comment 16 User image Verdi [:verdi] 2015-01-12 09:08:50 PST
Created attachment 8547659 [details]
refresh-mozilla.org.jpg

I'm sorry - that is an old mockup. The strings should be:
"Give Firefox a tune up"
"Refresh Firefox"
"Learn more"

If it helps, "Give Firefox a tune up" and "Refresh Firefox" are the same strings, used in the same way as the ones on about:support.
Comment 17 User image [github robot] 2015-01-13 08:56:00 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/e22a12dcee78005464e8b55bfc5cbeab43abb9c9
Add refresh button UI to /firefox/new/. Bug 1027318.

- Add minor JS optimizations.
- Remove GA experiment snippet (no longer used).

https://github.com/mozilla/bedrock/commit/6ff1b70d6112a5708e2c7dc25464b73dabb5b13e
Merge pull request #2628 from jpetto/bug-1027318-firefox-new-refresh-button

Add refresh button to /firefox/new/. Bug 1027318.
Comment 18 User image Chris More [:cmore] 2015-01-13 23:14:25 PST
Nice job everyone on getting this live!

:jpetto: is there a GA event set when a user clicks the "refresh Firefox" button? If not, we should add that so that we know how many users take the action.
Comment 19 User image Chris More [:cmore] 2015-01-13 23:19:22 PST
If we don't have event, we should use the "/new Interaction" category like we have on the rest of the in-page interactions that we have tagged.

Garethc: ^^
Comment 20 User image Gareth Cull [:garethc] 2015-01-14 06:38:14 PST
Yes cmore. That would work. Please use /new Interaction event category. Could we please track the button click with the following:

_gaq.push(['_trackEvent', '/new Interaction', 'Refresh Firefox', 'Firefox Desktop']);

Thanks
Comment 21 User image Jon Petto [:jpetto] 2015-01-14 07:40:56 PST
Created attachment 8548933 [details] [review]
GitHub PR

Submitted PR to add GA tracking to the refresh button.
Comment 22 User image Jon Petto [:jpetto] 2015-01-14 13:30:12 PST
Should we add tracking for when the refresh button is displayed as well? If so, should the PR submitted in comment #21 wait for that tracking to be decided upon?
Comment 23 User image Chris More [:cmore] 2015-01-14 13:39:42 PST
(In reply to Jon Petto [:jpetto] from comment #22)
> Should we add tracking for when the refresh button is displayed as well? If
> so, should the PR submitted in comment #21 wait for that tracking to be
> decided upon?

Can you add when the refresh button is displayed and hold that PR until we get that in? That's how we are going to measure conversion rate. We could guess on when it is displayed, but it isn't fool proof.
Comment 24 User image [github robot] 2015-01-16 01:56:32 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/704f5150ff7ab09d1e67e803d98c8c57dcd05314
Add GA tracking to Fx refresh button. Bug 1027318.

https://github.com/mozilla/bedrock/commit/31d8c08d3a02dd2daebc1d0c58158fc40103a54c
Merge pull request #2658 from jpetto/bug-1027318-add-GA-firefox-refresh-button

Add GA tracking to Fx refresh button. Bug 1027318.

Note You need to log in before you can comment on or make changes to this bug.